Index: palm/trunk/SOURCE/pmc_interface.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface.f90	(revision 1789)
+++ palm/trunk/SOURCE/pmc_interface.f90	(revision 1791)
@@ -671,25 +717,28 @@
     IMPLICIT NONE
 
-    CHARACTER(LEN=DA_Namelen)  ::  myname     !:
-
-    INTEGER(iwp)               ::  i          !:
-    INTEGER(iwp)               ::  ierr       !:
-    INTEGER(iwp)               ::  icl        !:
-    INTEGER(iwp)               ::  icr        !:
-    INTEGER(iwp)               ::  j          !:
-    INTEGER(iwp)               ::  jcn        !:
-    INTEGER(iwp)               ::  jcs        !:
+    CHARACTER(LEN=da_namelen) ::  myname     !:
+
+    INTEGER(iwp) ::  i          !:
+    INTEGER(iwp) ::  ierr       !:
+    INTEGER(iwp) ::  icl        !:
+    INTEGER(iwp) ::  icr        !:
+    INTEGER(iwp) ::  j          !:
+    INTEGER(iwp) ::  jcn        !:
+    INTEGER(iwp) ::  jcs        !:
+
     INTEGER(iwp), DIMENSION(5) ::  val        !:
     
-    REAL(wp), DIMENSION(1)     ::  fval       !:
-    REAL(wp)                   ::  xcs        !:
-    REAL(wp)                   ::  xce        !:
-    REAL(wp)                   ::  ycs        !:
-    REAL(wp)                   ::  yce        !:
+    REAL(wp) ::  xcs        !:
+    REAL(wp) ::  xce        !:
+    REAL(wp) ::  ycs        !:
+    REAL(wp) ::  yce        !:
+
+    REAL(wp), DIMENSION(1) ::  fval       !:
                                              
-
+!
 !-- TO_DO: describe what is happening in this if-clause
 !-- Root Model does not have Server and is not a client
     IF ( .NOT. pmc_is_rootmodel() )  THEN
+
        CALL pmc_clientinit
 !
@@ -725,4 +774,5 @@
 
        IF ( myid == 0 )  THEN
+
           CALL pmc_send_to_server( val, SIZE( val ), 0, 123, ierr )
           CALL pmc_send_to_server( fval, SIZE( fval ), 0, 124, ierr )
@@ -732,4 +782,5 @@
 !
 !--       Receive Coarse grid information.
+!--       TO_DO: find shorter and more meaningful name for  define_coarse_grid_real
           CALL pmc_recv_from_server( define_coarse_grid_real,                  &
                                      SIZE(define_coarse_grid_real), 0, 21, ierr )
@@ -738,17 +789,18 @@
 !
 !--       Receive also the dz-,zu- and zw-arrays here.
-!--       TO_DO: what is the meaning of above comment + remove write statements
-!--              and give this informations in header
-          WRITE(0,*) 'Coarse grid from Server '
-          WRITE(0,*) 'startx_tot    = ',define_coarse_grid_real(1)
-          WRITE(0,*) 'starty_tot    = ',define_coarse_grid_real(2)
-          WRITE(0,*) 'endx_tot      = ',define_coarse_grid_real(5)
-          WRITE(0,*) 'endy_tot      = ',define_coarse_grid_real(6)
-          WRITE(0,*) 'dx            = ',define_coarse_grid_real(3)
-          WRITE(0,*) 'dy            = ',define_coarse_grid_real(4)
-          WRITE(0,*) 'dz            = ',define_coarse_grid_real(7)
-          WRITE(0,*) 'nx_coarse     = ',define_coarse_grid_int(1)
-          WRITE(0,*) 'ny_coarse     = ',define_coarse_grid_int(2)
-          WRITE(0,*) 'nz_coarse     = ',define_coarse_grid_int(3)        
+!--       TO_DO: what is the meaning of above comment
+!
+!--        Debug-printouts - keep them
+!          WRITE(0,*) 'Coarse grid from Server '
+!          WRITE(0,*) 'startx_tot    = ',define_coarse_grid_real(1)
+!          WRITE(0,*) 'starty_tot    = ',define_coarse_grid_real(2)
+!          WRITE(0,*) 'endx_tot      = ',define_coarse_grid_real(5)
+!          WRITE(0,*) 'endy_tot      = ',define_coarse_grid_real(6)
+!          WRITE(0,*) 'dx            = ',define_coarse_grid_real(3)
+!          WRITE(0,*) 'dy            = ',define_coarse_grid_real(4)
+!          WRITE(0,*) 'dz            = ',define_coarse_grid_real(7)
+!          WRITE(0,*) 'nx_coarse     = ',define_coarse_grid_int(1)
+!          WRITE(0,*) 'ny_coarse     = ',define_coarse_grid_int(2)
+!          WRITE(0,*) 'nz_coarse     = ',define_coarse_grid_int(3)
        ENDIF
 
@@ -765,5 +817,5 @@
 
 !
-!--    Get Server coordinates on coarse grid
+!--    Get server coordinates on coarse grid
        ALLOCATE( cg%coord_x(-nbgp:cg%nx+nbgp) )
        ALLOCATE( cg%coord_y(-nbgp:cg%ny+nbgp) )
@@ -776,31 +828,32 @@
 !
 !--    Get coarse grid coordinates and vales of the z-direction from server
-       IF ( myid == 0) THEN
-          CALL pmc_recv_from_server( cg%coord_x, cg%nx + 1 + 2 * nbgp, 0, 24,  &
-                                     ierr )
-          CALL pmc_recv_from_server( cg%coord_y, cg%ny + 1 + 2 * nbgp, 0, 25,  &
-                                     ierr )
+       IF ( myid == 0)  THEN
+
+          CALL pmc_recv_from_server( cg%coord_x, cg%nx+1+2*nbgp, 0, 24, ierr )
+          CALL pmc_recv_from_server( cg%coord_y, cg%ny+1+2*nbgp, 0, 25, ierr )
           CALL pmc_recv_from_server( cg%dzu, cg%nz + 1, 0, 26, ierr )
           CALL pmc_recv_from_server( cg%dzw, cg%nz + 1, 0, 27, ierr )
           CALL pmc_recv_from_server( cg%zu, cg%nz + 2, 0, 28, ierr )
           CALL pmc_recv_from_server( cg%zw, cg%nz + 2, 0, 29, ierr )
-       ENDIF
-
-!
-!--    and broadcast this information
-       CALL MPI_BCAST( cg%coord_x, cg%nx + 1 + 2 * nbgp, MPI_REAL, 0, comm2d,  &
-                       ierr )
-       CALL MPI_BCAST( cg%coord_y, cg%ny + 1 + 2 * nbgp, MPI_REAL, 0, comm2d,  &
-                       ierr )
-       CALL MPI_BCAST( cg%dzu, cg%nz + 1, MPI_REAL, 0, comm2d, ierr )
-       CALL MPI_BCAST( cg%dzw, cg%nz + 1, MPI_REAL, 0, comm2d, ierr )
-       CALL MPI_BCAST( cg%zu, cg%nz + 2,  MPI_REAL, 0, comm2d, ierr )
-       CALL MPI_BCAST( cg%zw, cg%nz + 2,  MPI_REAL, 0, comm2d, ierr )
+
+       ENDIF
+
+!
+!--    Broadcast this information
+       CALL MPI_BCAST( cg%coord_x, cg%nx+1+2*nbgp, MPI_REAL, 0, comm2d, ierr )
+       CALL MPI_BCAST( cg%coord_y, cg%ny+1+2*nbgp, MPI_REAL, 0, comm2d, ierr )
+       CALL MPI_BCAST( cg%dzu, cg%nz+1, MPI_REAL, 0, comm2d, ierr )
+       CALL MPI_BCAST( cg%dzw, cg%nz+1, MPI_REAL, 0, comm2d, ierr )
+       CALL MPI_BCAST( cg%zu, cg%nz+2,  MPI_REAL, 0, comm2d, ierr )
+       CALL MPI_BCAST( cg%zw, cg%nz+2,  MPI_REAL, 0, comm2d, ierr )
        
+!
+!--    TO_DO: give comments what is happening here
        CALL pmci_map_fine_to_coarse_grid
        CALL pmc_c_get_2d_index_list
 
 !
-!--    Include couple arrays into client content.
+!--    Include couple arrays into client content
+!--    TO_DO: Klaus: better explain the above comment (what is client content?)
        CALL  pmc_c_clear_next_array_list
        DO  WHILE ( pmc_c_getnextarray( myname ) )
@@ -823,5 +876,6 @@
 
 !
-!--    Two-way coupling      
+!--    Two-way coupling
+!--    TO_DO: comment what is happening here
        IF ( nesting_mode == 'two-way' )  THEN
           CALL pmci_init_anterp_tophat
